This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474126 - python-setuptools-36.6.0 is available
python-setuptools-36.6.0 is available
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 20:50 EDT by Upstream Release Monitoring
Modified: 2017-10-19 21:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 36.2.1 (#1474126) (1.01 KB, patch)
2017-07-23 20:50 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.2 (#1474126) (1.01 KB, patch)
2017-07-24 20:49 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.3 (#1474126) (1.01 KB, patch)
2017-07-26 08:49 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.4 (#1474126) (1.01 KB, patch)
2017-07-26 20:53 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.5 (#1474126) (1.12 KB, patch)
2017-07-31 08:50 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.6 (#1474126) (1.12 KB, patch)
2017-07-31 20:48 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.2.7 (#1474126) (1.12 KB, patch)
2017-08-01 20:49 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.3.0 (#1474126) (1.14 KB, patch)
2017-08-28 20:59 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.4.0 (#1474126) (1.14 KB, patch)
2017-09-03 20:55 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.5.0 (#1474126) (1.14 KB, patch)
2017-09-15 20:27 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 36.6.0 (#1474126) (1.14 KB, patch)
2017-10-19 20:48 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-07-23 20:50:43 EDT
Latest upstream release: 36.2.1
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 1 Upstream Release Monitoring 2017-07-23 20:50:59 EDT
Created attachment 1303390 [details]
[patch] Update to 36.2.1 (#1474126)
Comment 2 Upstream Release Monitoring 2017-07-23 20:55:16 EDT
hotness's scratch build of python-setuptools-36.2.1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20706236
Comment 3 Kevin Fenzi 2017-07-24 14:41:17 EDT
We need to package up python-pytest-fixture-config for the tests starting with this version.
Comment 4 Upstream Release Monitoring 2017-07-24 20:49:49 EDT
Latest upstream release: 36.2.2
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 5 Upstream Release Monitoring 2017-07-24 20:49:58 EDT
Created attachment 1303952 [details]
[patch] Update to 36.2.2 (#1474126)
Comment 6 Upstream Release Monitoring 2017-07-24 20:51:38 EDT
hotness's scratch build of python-setuptools-36.2.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20717930
Comment 7 Upstream Release Monitoring 2017-07-26 08:49:14 EDT
Latest upstream release: 36.2.3
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 8 Upstream Release Monitoring 2017-07-26 08:49:30 EDT
Created attachment 1304779 [details]
[patch] Update to 36.2.3 (#1474126)
Comment 9 Kevin Fenzi 2017-07-26 18:10:44 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1475564 is a review for python-pytest-fixture-config
Comment 10 Upstream Release Monitoring 2017-07-26 20:53:20 EDT
Latest upstream release: 36.2.4
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 11 Upstream Release Monitoring 2017-07-26 20:53:29 EDT
Created attachment 1305119 [details]
[patch] Update to 36.2.4 (#1474126)
Comment 12 Upstream Release Monitoring 2017-07-31 08:49:56 EDT
Latest upstream release: 36.2.5
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 13 Upstream Release Monitoring 2017-07-31 08:50:10 EDT
Created attachment 1307059 [details]
[patch] Update to 36.2.5 (#1474126)
Comment 14 Upstream Release Monitoring 2017-07-31 08:51:55 EDT
hotness's scratch build of python-setuptools-36.2.5-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20920735
Comment 15 Upstream Release Monitoring 2017-07-31 20:48:45 EDT
Latest upstream release: 36.2.6
Current version/release in rawhide: 36.2.0-1.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 16 Upstream Release Monitoring 2017-07-31 20:48:54 EDT
Created attachment 1307320 [details]
[patch] Update to 36.2.6 (#1474126)
Comment 17 Upstream Release Monitoring 2017-07-31 20:50:29 EDT
hotness's scratch build of python-setuptools-36.2.6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20932540
Comment 18 Upstream Release Monitoring 2017-08-01 20:49:43 EDT
Latest upstream release: 36.2.7
Current version/release in rawhide: 36.2.0-2.fc27
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 19 Upstream Release Monitoring 2017-08-01 20:49:57 EDT
Created attachment 1307850 [details]
[patch] Update to 36.2.7 (#1474126)
Comment 20 Upstream Release Monitoring 2017-08-01 20:51:28 EDT
hotness's scratch build of python-setuptools-36.2.7-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20955400
Comment 21 Upstream Release Monitoring 2017-08-28 20:59:33 EDT
Latest upstream release: 36.3.0
Current version/release in rawhide: 36.2.0-7.fc28
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 22 Upstream Release Monitoring 2017-08-28 20:59:52 EDT
Created attachment 1319265 [details]
[patch] Update to 36.3.0 (#1474126)
Comment 23 Upstream Release Monitoring 2017-08-28 21:04:16 EDT
hotness's scratch build of python-setuptools-36.3.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=21521545
Comment 24 Upstream Release Monitoring 2017-09-03 20:55:16 EDT
Latest upstream release: 36.4.0
Current version/release in rawhide: 36.2.0-7.fc28
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 25 Upstream Release Monitoring 2017-09-03 20:55:31 EDT
Created attachment 1321639 [details]
[patch] Update to 36.4.0 (#1474126)
Comment 26 Upstream Release Monitoring 2017-09-03 20:59:38 EDT
hotness's scratch build of python-setuptools-36.4.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=21644230
Comment 27 Upstream Release Monitoring 2017-09-15 20:27:35 EDT
Latest upstream release: 36.5.0
Current version/release in rawhide: 36.2.0-7.fc28
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 28 Upstream Release Monitoring 2017-09-15 20:27:42 EDT
Created attachment 1326643 [details]
[patch] Update to 36.5.0 (#1474126)
Comment 29 Upstream Release Monitoring 2017-09-15 20:32:31 EDT
hotness's scratch build of python-setuptools-36.5.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=21892912
Comment 30 Kevin Fenzi 2017-09-19 21:53:58 EDT
So, after a ton of poking around where I could not for the life of me figure out why the python2 tests were failing

(which turns out to be because someone had a 'with test' instead of 'with tests' conditional)

and having to package up python-pytest-virtualenv and it's stack. 

I am getting now 7 failed tests... 

https://kojipkgs.fedoraproject.org//work/tasks/7020/21977020/build.log

If anyone has ideas on those, let me know, otherwise I will ping upstream I guess. 

Here's the current diff against master: 

diff --git a/python-setuptools.spec b/python-setuptools.spec
index 290456b..90979a6 100644
--- a/python-setuptools.spec
+++ b/python-setuptools.spec
@@ -31,8 +31,8 @@
 %endif
 
 Name:           python-setuptools
-Version:        36.2.0
-Release:        7%{?dist}
+Version:        36.5.0
+Release:        1%{?dist}
 Summary:        Easily build and distribute Python packages
 
 Group:          Applications/System
@@ -52,11 +52,12 @@ BuildRequires:  python2-devel
 BuildRequires:  python2-pip
 BuildRequires:  python2-wheel
 %endif # without bootstrap
-%if %{with test}
+%if %{with tests}
 BuildRequires:  python2-pip
 BuildRequires:  python2-pytest
 BuildRequires:  python2-mock
 BuildRequires:  python2-backports-unittest_mock
+BuildRequires:  python2-pytest-virtualenv
 %endif # with tests
 %endif # with python2
 
@@ -66,6 +67,7 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-pip
 BuildRequires:  python3-pytest
 BuildRequires:  python3-mock
+BuildRequires:  python3-pytest-virtualenv
 %endif # with tests
 %if %{without bootstrap}
 BuildRequires:  python3-pip
@@ -254,7 +256,7 @@ rm -r docs/{Makefile,conf.py,_*}
 %if %{with tests}
 %check
 %if %{with python2}
-#LANG=en_US.utf8 PYTHONPATH=$(pwd) py.test
+LANG=en_US.utf8 PYTHONPATH=$(pwd) py.test-%{python2_version}
 %endif # with python2
 
 %if %{with python3}
@@ -299,6 +301,9 @@ LANG=en_US.utf8 PYTHONPATH=$(pwd) %{__platform_python} -m pytest
 
 
 %changelog
+* Mon Sep 18 2017 Kevin Fenzi <kevin@scrye.com> - 36.5.0-1
+- Update to 36.5.0
+
 * Sun Aug 20 2017 Tomas Orsava <torsava@redhat.com> - 36.2.0-7
 - Re-enable tests to finish bootstrapping the platform-python stack
   (https://fedoraproject.org/wiki/Changes/Platform_Python_Stack)
Comment 31 Charalampos Stratakis 2017-09-20 07:44:54 EDT
I updated python-six yesterday to the latest version.

Wondering if it's related in some way.
Comment 32 Charalampos Stratakis 2017-10-11 12:47:34 EDT
Posted an issue upstream, waiting to see what happens.

https://github.com/pypa/setuptools/issues/1170
Comment 33 Upstream Release Monitoring 2017-10-19 20:48:17 EDT
Latest upstream release: 36.6.0
Current version/release in rawhide: 36.2.0-7.fc28
URL: https://pypi.python.org/pypi/setuptools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4021/
Comment 34 Upstream Release Monitoring 2017-10-19 20:48:23 EDT
Created attachment 1341094 [details]
[patch] Update to 36.6.0 (#1474126)
Comment 35 Upstream Release Monitoring 2017-10-19 21:01:39 EDT
hotness's scratch build of python-setuptools-36.6.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22558657

Note You need to log in before you can comment on or make changes to this bug.